package com.sistema_ventas.model;
// Generated 11-13-2019 11:40:49 AM by Hibernate Tools 4.3.1

import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Sucursal generated by hbm2java
 */
@Entity
@Table(name = "sucursal",
         catalog = "sistema_ventas"
)
public class Sucursal implements java.io.Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 1L;
    private Integer idsucursal;
    private Empresa empresa;
    private Municipios municipios;
    private String direccion;
    private String nombre;
    private Integer telefono;
    private Set<FacturaEncabezado> facturaEncabezados = new HashSet<FacturaEncabezado>(0);
    private Set<Movimientos> movimientoses = new HashSet<Movimientos>(0);
    private Set<Empleado> empleados = new HashSet<Empleado>(0);

    public Sucursal() {
    }

    public Sucursal(Empresa empresa, Municipios municipios, String direccion, String nombre, Integer telefono, Set<FacturaEncabezado> facturaEncabezados, Set<Movimientos> movimientoses, Set<Empleado> empleados) {
        this.empresa = empresa;
        this.municipios = municipios;
        this.direccion = direccion;
        this.nombre = nombre;
        this.telefono = telefono;
        this.facturaEncabezados = facturaEncabezados;
        this.movimientoses = movimientoses;
        this.empleados = empleados;
    }

    @Id
    @GeneratedValue(strategy = IDENTITY)

    @Column(name = "idsucursal", unique = true, nullable = false)
    public Integer getIdsucursal() {
        return this.idsucursal;
    }

    public void setIdsucursal(Integer idsucursal) {
        this.idsucursal = idsucursal;
    }

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "empresa")
    public Empresa getEmpresa() {
        return this.empresa;
    }

    public void setEmpresa(Empresa empresa) {
        this.empresa = empresa;
    }

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "municipio")
    public Municipios getMunicipios() {
        return this.municipios;
    }

    public void setMunicipios(Municipios municipios) {
        this.municipios = municipios;
    }

    @Column(name = "direccion", length = 200)
    public String getDireccion() {
        return this.direccion;
    }

    public void setDireccion(String direccion) {
        this.direccion = direccion;
    }

    @Column(name = "nombre", length = 50)
    public String getNombre() {
        return this.nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    @Column(name = "telefono")
    public Integer getTelefono() {
        return this.telefono;
    }

    public void setTelefono(Integer telefono) {
        this.telefono = telefono;
    }

    @OneToMany(fetch = FetchType.LAZY, mappedBy = "sucursal")
    public Set<FacturaEncabezado> getFacturaEncabezados() {
        return this.facturaEncabezados;
    }

    public void setFacturaEncabezados(Set<FacturaEncabezado> facturaEncabezados) {
        this.facturaEncabezados = facturaEncabezados;
    }

    @OneToMany(fetch = FetchType.LAZY, mappedBy = "sucursal")
    public Set<Movimientos> getMovimientoses() {
        return this.movimientoses;
    }

    public void setMovimientoses(Set<Movimientos> movimientoses) {
        this.movimientoses = movimientoses;
    }

    @OneToMany(fetch = FetchType.LAZY, mappedBy = "sucursal")
    public Set<Empleado> getEmpleados() {
        return this.empleados;
    }

    public void setEmpleados(Set<Empleado> empleados) {
        this.empleados = empleados;
    }
}
